<kzm-auth-block>
  <small class="form-text sub-title">Introduce una contrase&ntilde;a nueva.</small>
  <form (ngSubmit)="resetPass()" #resetPassForm="ngForm" autocomplete="nope">
    <kzm-auth-message [showMessages]="showMessages" [errors]="errors" [submitted]="submitted" [messages]="messages"></kzm-auth-message>
    <div class="form-group">
      <label for="input-password" class="sr-only">Contrase&ntilde;a nueva</label>
      <input name="password" [(ngModel)]="user.password" type="password" id="input-password"
             class="form-control form-control-lg first" placeholder="Contraseña nueva" #password="ngModel"
             [class.form-control-danger]="password.invalid && password.touched"
             [required]="getConfigValue('forms.validation.password.required')"
             [minlength]="getConfigValue('forms.validation.password.minLength')"
             [maxlength]="getConfigValue('forms.validation.password.maxLength')"
             autofocus>
      <small class="form-text error" *ngIf="password.invalid && password.touched && password.errors?.required">
        La contrase&ntilde;a es requerida.
      </small>
      <small class="form-text error"
        *ngIf="password.invalid && password.touched && (password.errors?.minlength || password.errors?.maxlength)">
        La contrase&ntilde;a debe ser de por lo menos {{ getConfigValue('forms.validation.password.minLength') }} caracteres.
      </small>
    </div>

    <div class="form-group">
      <label for="input-re-password" class="sr-only">Confirma la contrase&ntilde;a</label>
      <input name="rePass" [(ngModel)]="user.password_confirmation" type="password" id="input-re-password"
        class="form-control form-control-lg last" placeholder="Confirma la contraseña" #rePass="ngModel"
        [class.form-control-danger]="(rePass.invalid || password.value != rePass.value) && rePass.touched"
        [required]="getConfigValue('forms.validation.password.required')">
      <small class="form-text error" *ngIf="rePass.invalid && rePass.touched && rePass.errors?.required">
        La confirmaci&oacute; es requerida.
      </small>
      <small class="form-text error" *ngIf="rePass.touched && password.value != rePass.value && !rePass.errors?.required">
        La confirmaci&oacute; no coincide.
      </small>
    </div>

    <button [disabled]="submitted || !resetPassForm.form.valid" class="btn btn-hero-success btn-block" [class.btn-pulse]="submitted">
      Cambiar contrase&ntilde;a
    </button>
  </form>

  <div class="links col-sm-12">
    <small class="form-text">
      &iquest;Ya tienes cuenta? <a routerLink="../login"><strong>Entrar</strong></a>
    </small>
    <small class="form-text">
      <a routerLink="../register"><strong>Registrar</strong></a>
    </small>
  </div>
</kzm-auth-block>
